clear all;
close all;
clc;

Pmax = 1e6/0.99;
Qmax = 445e3;

S = sqrt(Pmax^2+Qmax^2)

Psm = Pmax/18
VsmNom = 13.2e3/sqrt(3)/6
Inom = Psm/VsmNom
VsmMin = 13.2e3*0.95/sqrt(3)/6
Imax = Psm/VsmMin

Ploss = Psm*0.01
Ptotal = Ploss*18

VsmPeakMax = VsmNom*1.05*sqrt(2)

Emvdc = VsmPeakMax*1.15

t = 0:0.0001:1/60;
V = VsmNom*sqrt(2)*cos(2*pi*60*t);
I = Inom*sqrt(2)*cos(2*pi*60*t);

P = V.*I;

subplot(311)
plot(t/0.001,V/1e3);
grid on;
subplot(312)
plot(t/0.001,I);
grid on
subplot(313)
plot(t/0.001,P/1e3,'b');hold on;
Pana = 112.2e3/2+112.2e3/2*cos(2*pi*120*t);
plot(t/0.001,Pana/1e3,'r--');hold on;
grid on

figure
Pav = 112.2e3/2;
Cmvdc = 500e-6;
Vmvdc = 2196;
vc = Vmvdc + Pav*sin(4*pi*60*t)/(Cmvdc*Vmvdc*4*pi*60);
subplot(211)
plot(t/0.001,P/1e3,'b');hold on;
plot(t/0.001,Pav/1e3*ones(size(t)),'r');hold on;grid on
subplot(212)
plot(t/0.001,vc,'b');grid on;hold on;
plot(t/0.001,Vmvdc*ones(size(t)),'r');grid on;hold on;
